Archive a job
curl --request POST \
--url https://api.hellotracks.com/v1/jobs/{id}/archive \
--header 'API-Key: <api-key>'import requests
url = "https://api.hellotracks.com/v1/jobs/{id}/archive"
headers = {"API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'API-Key': '<api-key>'}};
fetch('https://api.hellotracks.com/v1/jobs/{id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hellotracks.com/v1/jobs/{id}/archive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hellotracks.com/v1/jobs/{id}/archive"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hellotracks.com/v1/jobs/{id}/archive")
.header("API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hellotracks.com/v1/jobs/{id}/archive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"id": "650000000000000000000001",
"externalId": "ORDER-1001",
"title": "Install water heater",
"address": "500 Market St, San Francisco, CA 94105",
"notes": "Ring at the side door.",
"issueText": "",
"createdAt": 1793520000000,
"updatedAt": 1793523600000,
"scheduledAt": 0,
"assignedAt": 1793520000000,
"acceptedAt": 0,
"completedAt": 0,
"failedAt": 0,
"progress": "scheduled",
"date": "2026-11-02",
"priority": 2,
"timeWindow": {
"start": "09:00",
"end": "12:00"
},
"onSiteDurationSeconds": 3600,
"location": {
"lat": 37.7897,
"lng": -122.4
},
"assignee": {
"id": "a1b2c3",
"username": "alex@example.com",
"name": "Alex Rivera",
"email": "alex@example.com",
"phone": "+14155550101"
},
"placeId": "p1q2r3",
"contact": {
"name": "Sam Lee",
"phone": "+14155550102",
"email": "sam@example.com"
},
"customFields": {
"PO": "4711"
},
"linkedForms": [
{
"id": "f1a2b3",
"title": "Install checklist"
}
],
"etaSessionId": "eta_k7m2p9x4q8r3",
"etaUrl": "https://eta.page/K7M2-P9X4-Q8R3"
}
]
},
"error": null,
"meta": {
"path": "/v1/jobs/{id}/archive",
"method": "POST"
}
}{
"data": null,
"error": {
"code": "invalid_request",
"message": "date must be YYYY-MM-DD"
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "invalid_api_key",
"message": "Invalid Hellotracks API key."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "forbidden",
"message": "No permission."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "throttled",
"message": "Too many requests."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "internal_error",
"message": "Hellotracks API is temporarily unavailable."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}Jobs
Archive a job
Archives the job: it leaves the lists unless includeArchived=true and can be restored. Returns the job in items. An unknown or deleted id gives an empty list: a deleted job stays deleted, and restore is the way back.
POST
/
jobs
/
{id}
/
archive
Archive a job
curl --request POST \
--url https://api.hellotracks.com/v1/jobs/{id}/archive \
--header 'API-Key: <api-key>'import requests
url = "https://api.hellotracks.com/v1/jobs/{id}/archive"
headers = {"API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'API-Key': '<api-key>'}};
fetch('https://api.hellotracks.com/v1/jobs/{id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hellotracks.com/v1/jobs/{id}/archive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hellotracks.com/v1/jobs/{id}/archive"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hellotracks.com/v1/jobs/{id}/archive")
.header("API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hellotracks.com/v1/jobs/{id}/archive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"id": "650000000000000000000001",
"externalId": "ORDER-1001",
"title": "Install water heater",
"address": "500 Market St, San Francisco, CA 94105",
"notes": "Ring at the side door.",
"issueText": "",
"createdAt": 1793520000000,
"updatedAt": 1793523600000,
"scheduledAt": 0,
"assignedAt": 1793520000000,
"acceptedAt": 0,
"completedAt": 0,
"failedAt": 0,
"progress": "scheduled",
"date": "2026-11-02",
"priority": 2,
"timeWindow": {
"start": "09:00",
"end": "12:00"
},
"onSiteDurationSeconds": 3600,
"location": {
"lat": 37.7897,
"lng": -122.4
},
"assignee": {
"id": "a1b2c3",
"username": "alex@example.com",
"name": "Alex Rivera",
"email": "alex@example.com",
"phone": "+14155550101"
},
"placeId": "p1q2r3",
"contact": {
"name": "Sam Lee",
"phone": "+14155550102",
"email": "sam@example.com"
},
"customFields": {
"PO": "4711"
},
"linkedForms": [
{
"id": "f1a2b3",
"title": "Install checklist"
}
],
"etaSessionId": "eta_k7m2p9x4q8r3",
"etaUrl": "https://eta.page/K7M2-P9X4-Q8R3"
}
]
},
"error": null,
"meta": {
"path": "/v1/jobs/{id}/archive",
"method": "POST"
}
}{
"data": null,
"error": {
"code": "invalid_request",
"message": "date must be YYYY-MM-DD"
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "invalid_api_key",
"message": "Invalid Hellotracks API key."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "forbidden",
"message": "No permission."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "throttled",
"message": "Too many requests."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "internal_error",
"message": "Hellotracks API is temporarily unavailable."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}Authorizations
Your API key, from More → API & Integrations in the dashboard, or from ht signup / ht auth login.
Path Parameters
Job id (24 hex characters).
Example:
"650000000000000000000001"